package com.ruoyi.project.production.controller.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * @author Wang Zi Wen
 * @email wangggziwen@163.com
 * @date 2023/03/08 13:50:50
 */
public class SaiQueryVO extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    @Excel(name = "主键")
    private Long saiId;

    /** 检查的装置/设施 */
    @Excel(name = "检查的装置/设施")
    private String plantId;

    /** 检查日期/时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "检查日期/时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date inspectionDate;

    /** 识别出的安全问题 */
    @Excel(name = "识别出的安全问题")
    private String dificiency;

    /** 级别 */
    @Excel(name = "级别")
    private Long saiLevel;

    /** 类别 */
    @Excel(name = "类别")
    private String category;

    /** 采取或要采取的措施 */
    @Excel(name = "采取或要采取的措施")
    private String actions;

    /** 用户 */
    @Excel(name = "用户")
    private String userDept;

    /** 数据来源 */
    @Excel(name = "数据来源")
    private String source;

    /** 删除状态 */
    private String delFlag;

    /** 部门编号 */
    private Long deptId;

    /* 年份 */
    private int saiYear;

    public void setSaiId(Long saiId)
    {
        this.saiId = saiId;
    }

    public Long getSaiId()
    {
        return saiId;
    }
    public void setPlantId(String plantId)
    {
        this.plantId = plantId;
    }

    public String getPlantId()
    {
        return plantId;
    }
    public void setInspectionDate(Date inspectionDate)
    {
        this.inspectionDate = inspectionDate;
    }

    public Date getInspectionDate()
    {
        return inspectionDate;
    }

    public String getDificiency()
    {
        return dificiency;
    }
    public void setSaiLevel(Long saiLevel)
    {
        this.saiLevel = saiLevel;
    }

    public Long getSaiLevel()
    {
        return saiLevel;
    }
    public void setCategory(String category)
    {
        this.category = category;
    }

    public String getCategory()
    {
        return category;
    }
    public void setActions(String actions)
    {
        this.actions = actions;
    }

    public String getActions()
    {
        return actions;
    }
    public void setUserDept(String userDept)
    {
        this.userDept = userDept;
    }

    public String getUserDept()
    {
        return userDept;
    }
    public void setSource(String source)
    {
        this.source = source;
    }

    public String getSource()
    {
        return source;
    }
    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag()
    {
        return delFlag;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public void setDificiency(String dificiency) {
        this.dificiency = dificiency;
    }

    public int getSaiYear() {
        return saiYear;
    }

    public void setSaiYear(int saiYear) {
        this.saiYear = saiYear;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("saiId", getSaiId())
                .append("plantId", getPlantId())
                .append("inspectionDate", getInspectionDate())
                .append("dificiency", getDificiency())
                .append("saiLevel", getSaiLevel())
                .append("category", getCategory())
                .append("actions", getActions())
                .append("userDept", getUserDept())
                .append("source", getSource())
                .append("delFlag", getDelFlag())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("deptId", getDeptId())
                .append("saiYear", getSaiYear())
                .toString();
    }
}